import {Request} from './lifecycle/Request'
import {Container} from '../di'
import {CanonicalItemClass} from '../support/CanonicalReceiver'

/**
 * Base class for controllers that define methods that
 * handle HTTP requests.
 */
export class Controller extends CanonicalItemClass {
    constructor(
        protected readonly request: Request,
    ) {
        super()
    }

    protected container(): Container {
        return this.request
    }
}
