import {Unit} from '../lifecycle/Unit'
import {Singleton} from '../di'
import {NodeModules} from '../support/NodeModules'

@Singleton()
export class Discovery extends Unit {
    async up(): Promise<void> {
        await this.make<NodeModules>(NodeModules).discover()
    }
}
