import { expect } from 'chai'
import { isJSONState } from '../../../lib'

describe('util -> support -> Rehydratable -> isJSONState', () => {
    it('should return true for valid JSON', () => {
        expect(isJSONState('this is a string'))
            .to.be.true

        expect(isJSONState(1234))
            .to.be.true

        expect(isJSONState({ name: true }))
            .to.be.true
    })
})
