import {HTTPError} from '../http/HTTPError'
import {HTTPStatus} from '../util'

/**
 * Error thrown when a user attempts an action that they are not authorized to perform.
 */
export class NotAuthorizedError extends HTTPError {
    constructor(message = 'Not Authorized') {
        super(HTTPStatus.FORBIDDEN, message)
    }
}
