import {ErrorWithContext} from '../../util'

/**
 * Error thrown when the migrator is run, but no migrations need
 * to be applied/rolled-back.
 */
export class NothingToMigrateError extends ErrorWithContext {
    constructor(
        message = 'There is nothing to migrate',
        context?: {[key: string]: any},
    ) {
        super(message, context)
    }
}
