import {Model} from '../Model'
import {ModelBuilder} from '../ModelBuilder'
import {Relation} from './Relation'

/**
 * ModelBuilder instance that queries the related model in a relation.
 */
export class RelationBuilder<T extends Model<T>> extends ModelBuilder<T> {
    constructor(
        protected relation: Relation<any, T, any>,
    ) {
        super(relation.related.constructor as any)
    }
}
