import {Scope} from './Scope'
import {AbstractBuilder} from '../../builder/AbstractBuilder'

/**
 * A basic scope to limit results where `active` = true.
 */
export class ActiveScope extends Scope {
    apply(query: AbstractBuilder<any>): void {
        query.where('active', '=', true)
    }
}
