import {ErrorWithContext} from './ErrorWithContext'

export class MethodNotSupportedError extends ErrorWithContext {
    constructor(
        message = 'Method not supported',
        context: {[key: string]: any} = {},
    ) {
        super(message, context)
    }
}
